Package org.eclipse.birt.chart.exception

# Class ChartException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.birt.core.exception.BirtException
org.eclipse.birt.chart.exception.ChartException

All Implemented Interfaces:
  `Serializable`

public class ChartException extends org.eclipse.birt.core.exception.BirtException
Exception class for Chart framework.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ALL_NULL_DATASET`
Exception type for all null values error.
`static final int`
`COMPUTATION`
Exception type for Computation error.
`static final int`
`DATA_BINDING`
Exception type for Data binding error
`static final int`
`DATA_FORMAT`
Exception type for Data format error.
`static final int`
`DATA_SET`
Exception type for Data set error.
`static final int`
`DOES_NOT_FIT`
Exception type for Does not fit error.
`static final int`
`GENERATION`
Exception type for chart Generation error.
`static final int`
`IMAGE_LOADING`
Exception type for Image loading error.
`static final int`
`INVALID_DATA_TYPE`
`static final int`
`INVALID_IMAGE_SIZE`
Exception type for InvalidImageSize error.
`static final int`
`MISSING_STACKED_ENTRY`
Exception type for Missing stacked entry error.
`static final int`
`NOT_FOUND`
Exception type for Not found error.
`static final int`
`NULL_DATASET`
Exception type for NullDataset error.
`static final int`
`OUT_OF_RANGE`
Exception type for Out of range error.
`static final int`
`OUT_OF_SYNC`
Exception type for Out of SYnc error.
`static final int`
`OVERLAP`
Exception type for Overlap error.
`static final int`
`PLUGIN`
Exception type for PlugIn error.
`static final int`
`RENDERING`
Exception type for Rendering error.
`static final int`
`SCRIPT`
Exception type for Script error.
`static final int`
`UNDEFINED_VALUE`
Exception type for Undefined value error.
`static final int`
`UNSUPPORTED_FEATURE`
Exception type for Unsupported feature error.
`static final int`
`VALIDATION`
Exception type for Validation error.
`static final int`
`ZERO_DATASET`
Exception type for ZeroDataset error.

### Fields inherited from class org.eclipse.birt.core.exception.BirtException

`CANCEL, ERROR, INFO, OK, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`ChartException(int type, String errorMsg)`
Deprecated.
use `ChartException(String, int, String)` instead.
`ChartException(int type, String sResourceKey, Object[] oaArgs, ResourceBundle rb)`
Deprecated.
use `ChartException(String, int, String, Object[], ResourceBundle)` instead.
`ChartException(int type, String sResourceKey, Object[] oaArgs, ResourceBundle rb, Throwable thCause)`
Deprecated.
use (`ChartException(String, int, String, Object[], ResourceBundle, Throwable)` instead.
`ChartException(int type, String sResourceKey, ResourceBundle rb)`
Deprecated.
use `ChartException(String, int, String, ResourceBundle)` instead.
`ChartException(int type, String sResourceKey, ResourceBundle rb, Throwable thCause)`
Deprecated.
use `ChartException(String, int, String, ResourceBundle, Throwable)` instead.
`ChartException(int type, Throwable cause)`
Deprecated.
use `ChartException(String, int, Throwable)` instead.
`ChartException(String pluginId, int type, String errorMsg)`
The constructor.
`ChartException(String pluginId, int type, String sResourceKey, Object[] oaArgs, ResourceBundle rb)`
The constructor.
`ChartException(String pluginId, int type, String sResourceKey, Object[] oaArgs, ResourceBundle rb, Throwable thCause)`
The constructor.
`ChartException(String pluginId, int type, String sResourceKey, ResourceBundle rb)`
The constructor.
`ChartException(String pluginId, int type, String sResourceKey, ResourceBundle rb, Throwable thCause)`
The constructor.
`ChartException(String pluginId, int type, Throwable cause)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getType()`
Returns the type of this Chart exception.

### Methods inherited from class org.eclipse.birt.core.exception.BirtException

`getErrorCode, getLocalizedMessage, getMessage, getPluginId, getSeverity, setSeverity`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DATA_FORMAT

public static final int DATA_FORMAT
Exception type for Data format error.

See Also:
  - Constant Field Values

### DATA_SET

public static final int DATA_SET
Exception type for Data set error.

See Also:
  - Constant Field Values

### DOES_NOT_FIT

public static final int DOES_NOT_FIT
Exception type for Does not fit error.

See Also:
  - Constant Field Values

### GENERATION

public static final int GENERATION
Exception type for chart Generation error.

See Also:
  - Constant Field Values

### IMAGE_LOADING

public static final int IMAGE_LOADING
Exception type for Image loading error.

See Also:
  - Constant Field Values

### MISSING_STACKED_ENTRY

public static final int MISSING_STACKED_ENTRY
Exception type for Missing stacked entry error.

See Also:
  - Constant Field Values

### NOT_FOUND

public static final int NOT_FOUND
Exception type for Not found error.

See Also:
  - Constant Field Values

### OUT_OF_RANGE

public static final int OUT_OF_RANGE
Exception type for Out of range error.

See Also:
  - Constant Field Values

### OUT_OF_SYNC

public static final int OUT_OF_SYNC
Exception type for Out of SYnc error.

See Also:
  - Constant Field Values

### OVERLAP

public static final int OVERLAP
Exception type for Overlap error.

See Also:
  - Constant Field Values

### PLUGIN

public static final int PLUGIN
Exception type for PlugIn error.

See Also:
  - Constant Field Values

### RENDERING

public static final int RENDERING
Exception type for Rendering error.

See Also:
  - Constant Field Values

### SCRIPT

public static final int SCRIPT
Exception type for Script error.

See Also:
  - Constant Field Values

### UNDEFINED_VALUE

public static final int UNDEFINED_VALUE
Exception type for Undefined value error.

See Also:
  - Constant Field Values

### UNSUPPORTED_FEATURE

public static final int UNSUPPORTED_FEATURE
Exception type for Unsupported feature error.

See Also:
  - Constant Field Values

### COMPUTATION

public static final int COMPUTATION
Exception type for Computation error.

See Also:
  - Constant Field Values

### ZERO_DATASET

public static final int ZERO_DATASET
Exception type for ZeroDataset error.

See Also:
  - Constant Field Values

### NULL_DATASET

public static final int NULL_DATASET
Exception type for NullDataset error.

See Also:
  - Constant Field Values

### INVALID_IMAGE_SIZE

public static final int INVALID_IMAGE_SIZE
Exception type for InvalidImageSize error.

See Also:
  - Constant Field Values

### DATA_BINDING

public static final int DATA_BINDING
Exception type for Data binding error

See Also:
  - Constant Field Values

### ALL_NULL_DATASET

public static final int ALL_NULL_DATASET
Exception type for all null values error.

See Also:
  - Constant Field Values

### INVALID_DATA_TYPE

public static final int INVALID_DATA_TYPE

See Also:
  - Constant Field Values

### VALIDATION

public static final int VALIDATION
Exception type for Validation error.

See Also:
  - Constant Field Values

## Constructor Details

### ChartException

@Deprecated public ChartException(int type, Throwable cause)
Deprecated.
use `ChartException(String, int, Throwable)` instead.
The constructor.

### ChartException

@Deprecated public ChartException(int type, String errorMsg)
Deprecated.
use `ChartException(String, int, String)` instead.
The constructor.

### ChartException

@Deprecated public ChartException(int type, String sResourceKey, ResourceBundle rb)
Deprecated.
use `ChartException(String, int, String, ResourceBundle)` instead.
The constructor.

### ChartException

@Deprecated public ChartException(int type, String sResourceKey, Object[] oaArgs, ResourceBundle rb)
Deprecated.
use `ChartException(String, int, String, Object[], ResourceBundle)` instead.
The constructor.

### ChartException

@Deprecated public ChartException(int type, String sResourceKey, ResourceBundle rb, Throwable thCause)
Deprecated.
use `ChartException(String, int, String, ResourceBundle, Throwable)` instead.
The constructor.

### ChartException

@Deprecated public ChartException(int type, String sResourceKey, Object[] oaArgs, ResourceBundle rb, Throwable thCause)
Deprecated.
use (`ChartException(String, int, String, Object[], ResourceBundle, Throwable)` instead.
The constructor.

### ChartException

public ChartException(String pluginId, int type, Throwable cause)
The constructor.

### ChartException

public ChartException(String pluginId, int type, String errorMsg)
The constructor.

### ChartException

public ChartException(String pluginId, int type, String sResourceKey, ResourceBundle rb)
The constructor.

### ChartException

public ChartException(String pluginId, int type, String sResourceKey, Object[] oaArgs, ResourceBundle rb)
The constructor.

### ChartException

public ChartException(String pluginId, int type, String sResourceKey, ResourceBundle rb, Throwable thCause)
The constructor.

### ChartException

public ChartException(String pluginId, int type, String sResourceKey, Object[] oaArgs, ResourceBundle rb, Throwable thCause)
The constructor.

## Method Details

### getType

public int getType()
Returns the type of this Chart exception.

Returns: